/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:WAR.java 2059 2007-11-22 17:22:33Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.car.impl.xml.struct;

import org.ow2.util.ee.metadata.common.impl.xml.struct.AbsEnvironment;

/**
 * This class represents a application-client deployment descriptor.
 * @author Gael Lalire
 */
public class CAR extends AbsEnvironment {

    /**
     * True if metadata is complete.
     */
    private boolean metadataComplete;

    /**
     * The callback handler class.
     */
    private String callbackHandler;

    /**
     * Default constructor.
     */
    public CAR() {
        metadataComplete = false;
    }

    /**
     * @param metadataComplete true if metadata is complete
     */
    public void setMetadataComplete(final boolean metadataComplete) {
        this.metadataComplete = metadataComplete;
    }

    /**
     * @return true if metadata is complete
     */
    public boolean isMetadataComplete() {
        return metadataComplete;
    }

    /**
     * @return class name of the the callbackHandler.
     */
    public String getCallbackHandler() {
        return callbackHandler;
    }

    /**
     * @param callbackHandler class name of the callbackHandler.
     */
    public void setCallbackHandler(final String callbackHandler) {
        this.callbackHandler = callbackHandler;
    }

}
